/** 
 * Desenvolvido por Mdulo Security Solutions S.A.
 * Contato: Eduardo Nery (enery@modulo.com.br - 61.218.7500)
 * Site: http://www.modulo.com.br
 **/

#ifndef CERTUTIL_H
#define CERTUTIL_H

#include <nspr.h>
#include <pk11func.h>
#include <certdb.h>
#include <cert.h>
#include <nss.h>
#include <secutil.h>
#include <string.h>
#include <stdlib.h>
#include <unistd.h>
#include <sys/types.h>
#include <dirent.h>

#include "common.h"

int              g_key_request_flag;
char             *g_db_dir;
char             *g_db_file;
char             *g_keypass;
PK11SlotInfo     *g_slot;


int init_nss();
void check_privkey_pass(CERTCertificate* cert);
int chanllenge_it(CERTCertificate* cert);
CERTCertificate* get_nss_cert(const char* certxt_dir);


#endif
